#pragma once

#include "widget.hpp"
#include "icosphere.hpp"

#include <skein/particle.h>

class ParticleVisualizer
{
    public:
        ParticleVisualizer(Particle& particle, GLuint sphereShaderProgram, GLuint widgetShaderProgram);
        ~ParticleVisualizer() = default;

        void render(float time);

    private:
        void updateModelMatrix();

        Particle& _particle;
        Icosphere _sphere;
        Widget _widget;
};
